package com.ruoyi.ggpx.mapper;

import java.util.List;
import com.ruoyi.ggpx.domain.TaskBase;

/**
 * 任务基准Mapper接口
 * 
 * @author Jian
 * @date 2024-08-11
 */
public interface TaskBaseMapper 
{
    /**
     * 查询任务基准
     * 
     * @param id 任务基准主键
     * @return 任务基准
     */
    public TaskBase selectTaskBaseById(Long id);

    /**
     * 查询任务基准列表
     * 
     * @param taskBase 任务基准
     * @return 任务基准集合
     */
    public List<TaskBase> selectTaskBaseList(TaskBase taskBase);

    /**
     * 新增任务基准
     * 
     * @param taskBase 任务基准
     * @return 结果
     */
    public int insertTaskBase(TaskBase taskBase);

    /**
     * 修改任务基准
     * 
     * @param taskBase 任务基准
     * @return 结果
     */
    public int updateTaskBase(TaskBase taskBase);

    /**
     * 删除任务基准
     * 
     * @param id 任务基准主键
     * @return 结果
     */
    public int deleteTaskBaseById(Long id);

    /**
     * 批量删除任务基准
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTaskBaseByIds(Long[] ids);
}
