package com.ruoyi.ggpx.mapper;

import java.util.List;

import com.ruoyi.ggpx.domain.TaskData;
import org.apache.ibatis.annotations.Param;

/**
 * 任务数据Mapper接口
 *
 * @author Jian
 * @date 2024-08-11
 */
public interface TaskDataMapper {
    /**
     * 查询任务数据
     *
     * @param id 任务数据主键
     * @return 任务数据
     */
    public TaskData selectTaskDataById(Long id);

    /**
     * 查询任务数据列表
     *
     * @param taskData 任务数据
     * @return 任务数据集合
     */
    public List<TaskData> selectTaskDataList(TaskData taskData);

    /**
     * 新增任务数据
     *
     * @param taskData 任务数据
     * @return 结果
     */
    public int insertTaskData(TaskData taskData);

    /**
     * 修改任务数据
     *
     * @param taskData 任务数据
     * @return 结果
     */
    public int updateTaskData(TaskData taskData);

    /**
     * 删除任务数据
     *
     * @param id 任务数据主键
     * @return 结果
     */
    public int deleteTaskDataById(Long id);

    /**
     * 批量删除任务数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTaskDataByIds(Long[] ids);

    int selectTaskDataCount(TaskData taskData);

    List<TaskData> selectTaskDataListByIds(@Param("taskData") TaskData taskData, @Param("ids") Long[] ids);
}
