package com.ruoyi.ggpx.service;

import java.util.List;

import com.ruoyi.ggpx.domain.TaskBase;

/**
 * 任务基准Service接口
 *
 * @author Jian
 * @date 2024-08-11
 */
public interface ITaskBaseService {
    /**
     * 查询任务基准
     *
     * @param id 任务基准主键
     * @return 任务基准
     */
    public TaskBase selectTaskBaseById(Long id);

    /**
     * 查询任务基准列表
     *
     * @param taskBase 任务基准
     * @return 任务基准集合
     */
    public List<TaskBase> selectTaskBaseList(TaskBase taskBase);

    /**
     * 新增任务基准
     *
     * @param taskBase 任务基准
     * @return 结果
     */
    public int insertTaskBase(TaskBase taskBase);

    public int insertTaskBaseBatch(List<TaskBase> taskBaseList);

    public int insertTaskBaseBatch(List<TaskBase> taskBaseList, Long newTaskId);

    /**
     * 修改任务基准
     *
     * @param taskBase 任务基准
     * @return 结果
     */
    public int updateTaskBase(TaskBase taskBase);

    /**
     * 批量删除任务基准
     *
     * @param ids 需要删除的任务基准主键集合
     * @return 结果
     */
    public int deleteTaskBaseByIds(Long[] ids);

    /**
     * 删除任务基准信息
     *
     * @param id 任务基准主键
     * @return 结果
     */
    public int deleteTaskBaseById(Long id);
}
