package com.ruoyi.ggpx.service;

import java.util.List;

import com.ruoyi.ggpx.domain.TaskData;

/**
 * 任务数据Service接口
 *
 * @author Jian
 * @date 2024-08-11
 */
public interface ITaskDataService {
    /**
     * 查询任务数据
     *
     * @param id 任务数据主键
     * @return 任务数据
     */
    public TaskData selectTaskDataById(Long id);

    /**
     * 查询任务数据列表
     *
     * @param taskData 任务数据
     * @return 任务数据集合
     */
    public List<TaskData> selectTaskDataList(TaskData taskData);

    public List<TaskData> selectTaskDataListByIds(TaskData taskData, Long[] ids);

    /**
     * 新增任务数据
     *
     * @param taskData 任务数据
     * @return 结果
     */
    public int insertTaskData(TaskData taskData);

    /**
     * 修改任务数据
     *
     * @param taskData 任务数据
     * @return 结果
     */
    public int updateTaskData(TaskData taskData);

    /**
     * 批量删除任务数据
     *
     * @param ids 需要删除的任务数据主键集合
     * @return 结果
     */
    public int deleteTaskDataByIds(Long[] ids);

    /**
     * 删除任务数据信息
     *
     * @param id 任务数据主键
     * @return 结果
     */
    public int deleteTaskDataById(Long id);

    int selectTaskDataCount(TaskData taskData);

}
