import request from '@/utils/request'

// 查询任务基准列表
export function listTaskBase(query) {
  return request({
    url: '/ggpx/TaskBase/list',
    method: 'get',
    params: query
  })
}

// 查询任务基准列表
export function listTaskBasePage(query) {
  return request({
    url: '/ggpx/TaskBase/listPage',
    method: 'get',
    params: query
  })
}

// 查询任务基准详细
export function getTaskBase(id) {
  return request({
    url: '/ggpx/TaskBase/' + id,
    method: 'get'
  })
}

// 新增任务基准
export function addTaskBase(data) {
  return request({
    url: '/ggpx/TaskBase',
    method: 'post',
    data: data
  })
}

export function addTaskBaseBatch(data) {
  return request({
    url: '/ggpx/TaskBase/batch',
    method: 'post',
    data: data
  })
}

// 修改任务基准
export function updateTaskBase(data) {
  return request({
    url: '/ggpx/TaskBase',
    method: 'put',
    data: data
  })
}

// 删除任务基准
export function delTaskBase(id) {
  return request({
    url: '/ggpx/TaskBase/' + id,
    method: 'delete'
  })
}
