import request from '@/utils/request'

// 查询任务数据列表
export function listTaskData(query) {
  return request({
    url: '/ggpx/TaskData/list',
    method: 'get',
    params: query
  })
}

export function listTaskDataCount(query) {
  return request({
    url: '/ggpx/TaskData/count',
    method: 'get',
    params: query
  })
}

export function taskDataToRadar(query) {
  return request({
    url: '/ggpx/TaskData/radar',
    method: 'get',
    params: query
  })
}

export function taskDataToCSV(query) {
  return request({
    url: '/ggpx/TaskData/toCSV',
    method: 'get',
    params: query
  })
}

// 查询任务数据详细
export function getTaskData(id) {
  return request({
    url: '/ggpx/TaskData/' + id,
    method: 'get'
  })
}

// 新增任务数据
export function addTaskData(data) {
  return request({
    url: '/ggpx/TaskData',
    method: 'post',
    data: data
  })
}

// 修改任务数据
export function updateTaskData(data) {
  return request({
    url: '/ggpx/TaskData',
    method: 'put',
    data: data
  })
}

// 删除任务数据
export function delTaskData(id) {
  return request({
    url: '/ggpx/TaskData/' + id,
    method: 'delete'
  })
}
