import request from '@/utils/request'

// 查询任务列表列表
export function listTaskList(query) {
  return request({
    url: '/ggpx/TaskList/list',
    method: 'get',
    params: query
  })
}

// 查询任务列表详细
export function getTaskList(id) {
  return request({
    url: '/ggpx/TaskList/' + id,
    method: 'get'
  })
}

export function getTaskListStatistics(id) {
  return request({
    url: '/ggpx/TaskList/statistics/' + id,
    method: 'get'
  })
}

// 新增任务列表
export function addTaskList(data) {
  return request({
    url: '/ggpx/TaskList',
    method: 'post',
    data: data
  })
}

// 修改任务列表
export function updateTaskList(data) {
  return request({
    url: '/ggpx/TaskList',
    method: 'put',
    data: data
  })
}

// 删除任务列表
export function delTaskList(id) {
  return request({
    url: '/ggpx/TaskList/' + id,
    method: 'delete'
  })
}
