drop table if exists ggpx_task_list;
create table ggpx_task_list
(
    id          bigint(20)  not null auto_increment comment 'ID',
    task_name   varchar(50) not null comment '任务名称',
    status      tinyint(1)   default 0 comment '状态',
    type        tinyint(1)   default 0 comment '类型',
    isTemplate  tinyint(1)   default 0 comment '是否模板',
    statistics  varchar(50)  default '' comment '统计',
    parent_id   bigint(20)   default 0 comment '父ID',
    create_by   varchar(64)  default '' comment '创建者',
    create_time datetime comment '创建时间',
    update_by   varchar(64)  default '' comment '更新者',
    update_time datetime comment '更新时间',
    remark      varchar(500) default '' comment '备注',
    primary key (id)
) engine = innodb
  auto_increment = 2000 comment = '任务列表';

drop table if exists ggpx_task_data;
create table ggpx_task_data
(
    id           bigint(20)  not null auto_increment comment 'ID',
    task_id      bigint(20)  not null comment '任务ID',
    sample_name  varchar(50) not null comment '样品名称',
    data         varchar(50) not null comment '任务数据',
    group_leader varchar(50) not null comment '组长',
    status       tinyint(1)     default 0 comment '状态',
    hasQuality   tinyint(1)     default 0 comment '是否有质量',
    quality      varchar(50)    default '' comment '质量',
    hasTotal     tinyint(1)     default 0 comment '是否有总分',
    totalVal     decimal(10, 1) default 0 comment '总分',
    create_by    varchar(64)    default '' comment '创建者',
    create_time  datetime comment '创建时间',
    update_by    varchar(64)    default '' comment '更新者',
    update_time  datetime comment '更新时间',
    remark       varchar(500)   default '' comment '备注',
    primary key (id)
) engine = innodb
  auto_increment = 2000 comment = '任务数据表';

drop table if exists ggpx_task_base;
create table ggpx_task_base
(
    id          bigint(20) not null auto_increment comment 'ID',
    task_id     bigint(20) not null comment '任务ID',
    field_name  varchar(50)  default '' comment '字段名称',
    parent_id   bigint(20)   default 0 comment '父ID',
    order_num   int(4)       default 0 comment '显示顺序',
    field_type  varchar(50)  default '' comment '字段类型',
    field_label varchar(50)  default '' comment '字段标签',
    default_val varchar(50)  default '' comment '默认值',
    max_val     int(11)      default 0 comment '最大值',
    status      tinyint(1)   default 0 comment '状态',
    create_by   varchar(64)  default '' comment '创建者',
    create_time datetime comment '创建时间',
    update_by   varchar(64)  default '' comment '更新者',
    update_time datetime comment '更新时间',
    remark      varchar(500) default '' comment '备注',
    primary key (id)
) engine = innodb
  auto_increment = 2000 comment = '任务基准表';